AOZ Studio Beta - Bug #756

Error messages report ALL errors at column 1.
05/21/2021 08:57 AM - Brian Flanagan

Status: Resolved Start date: 05/21/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 4:00 hours
Target version: none

Affected version: 1.0.0 (B8)

Description

In version 1.0.0 (B8), the error messages are working better. Although the error line is reported properly, the column number in the
line is always returning 1. For example, the following code should produce an error at column 66:

E$=" the Heavens and the earth!"

Print "This is a test."; : Print "In the beginning","god created"E$ ' This should return an error
at column 66

' It's at that point we see that a comma or semicolon is missing.”
! 66
End

...since it's at that point we know that a semicolon or comma has been omitted. Instead, the error is reported at byte 1.
(In fact, ALL errors are reported at byte 1.):

Compiling /Users/USERNAME/Documents/My AOZ Applications/Error Message Test/main.aoz
Generating code...

Error: syntax error at line 2, column 1, in file main.aoz

Task failed, no code generated...

History

#1 - 05/24/2021 06:35 PM - Brian Flanagan
re-tested in 1.0.0 (B8) 24 March version.
Still a problem.

#2 - 07/15/2021 04:51 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!
